syms t

h_help1=sin(5*t)+5*exp(-8*t);
H_help1=laplace(h_help1);

[nhelp1,dhelp1]=numden(H_help1)
nhelp1=sym2poly(nhelp1);
dhelp1=sym2poly(dhelp1);
roots_numhelp1=roots(nhelp1)
roots_denhelp1=roots(dhelp1)

a=123;


h_help2=7*t^3+2*t*exp(-a*t)+6;
H_help2=laplace(h_help2);

[nhelp2,dhelp2]=numden(H_help2)
nhelp2=sym2poly(nhelp2);
dhelp2=sym2poly(dhelp2);
roots_numhelp2=roots(nhelp2)
roots_denhelp2=roots(dhelp2)

b=round(1997/123);

h_help3=h_help1*exp(-b*t);
H_help3=laplace(h_help3);

[nhelp3,dhelp3]=numden(H_help3)
nhelp3=sym2poly(nhelp3);
dhelp3=sym2poly(dhelp3);
roots_numhelp3=roots(nhelp3)
roots_denhelp3=roots(dhelp3)


c=round(1997/123-1);

h_help4=h_help2*exp(-c*t);
H_help4=laplace(h_help4);

[nhelp4,dhelp4]=numden(H_help4)
nhelp4=sym2poly(nhelp4);
dhelp4=sym2poly(dhelp4);
roots_numhelp4=roots(nhelp4)
roots_denhelp4=roots(dhelp4)


